# Uses of Enum
org.apache.qpid.proton.amqp.transport.Role

Packages that use Role
Package
Description
org.apache.qpid.proton.amqp.transport

## Uses of Role in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return Role
Modifier and Type
Method
Description
`Role`
Attach.`getRole()`
`Role`
Disposition.`getRole()`
`static Role`
Role.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Role[]`
Role.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.qpid.proton.amqp.transport with parameters of type Role
Modifier and Type
Method
Description
`void`
Attach.`setRole(Role role)`
`void`
Disposition.`setRole(Role role)`